Concerned About the Heartbleed Bug? Our Systems Are Not at Risk

April 21, 2014

MUNCIE, Ind. - Many of you have read the  media reports about the Heartbleed bug, an OpenSSL vulnerability that can be used to expose user names and passwords through the use of the Internet.

First Merchants bank has assessed this vulnerability and can assure you that our systems are not at risk to this vulnerability.

Keep in mind that even though our systems are not at risk from the Heartbleed vulnerability, other websites may be. Experts advise that you determine whether other websites you use are at risk for the bug rather than assuming your information will be protected and change your password on those sites.